import { View, Text, ViewProps } from 'react-native'
import React from 'react'
import { Alert, AlertIcon, AlertText, CloseCircleIcon, HStack } from '@gluestack-ui/themed';
import Colors from '../constants/Colors';

export function alert(props: ViewProps) {
  return (
    <View>
      <Alert
        action="error"
        margin={5}
        marginTop={10}
        borderColor={Colors["dark"].red}
        backgroundColor={Colors["dark"].alertBackground}
        borderWidth={1}
        borderRadius={10}
        padding={5}
        {...props}
      >
        <HStack>
          <AlertIcon
            color={Colors["dark"].red}
            padding={5}
            as={CloseCircleIcon}
            size="xl"
            mr="$3"
            mx="$2.5"
          />
          <AlertText color={Colors["dark"].text} padding={5}>
            
          </AlertText>
        </HStack>
      </Alert>
    </View>
  );
}
